Skip to main content
GET
/
v1
/
deployments
/
{deploymentId}
/
reports
Get reports
curl --request GET \
  --url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/reports \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "createdAt": "2023-12-25",
      "deploymentId": 123,
      "id": 123,
      "name": "<string>",
      "publicId": "<string>",
      "refreshedByUser": {
        "email": "<string>",
        "id": 123,
        "firstName": "<string>",
        "picture": "<string>"
      },
      "updatedAt": "2023-12-25",
      "user": {
        "email": "<string>",
        "id": 123,
        "firstName": "<string>",
        "picture": "<string>"
      },
      "userId": 123,
      "createdBy": 123,
      "description": "<string>",
      "endResultCell": "<string>",
      "externalWorkbookId": "<string>",
      "folderId": 123,
      "jsonQuery": "<string>",
      "meta": {},
      "pivotItems": {
        "columns": [
          "<string>"
        ],
        "filters": [
          "<string>"
        ],
        "measures": [
          "<string>"
        ],
        "rows": [
          "<string>"
        ]
      },
      "refreshedBy": 123,
      "resultLocation": "<string>",
      "rolesWithAccess": [
        {
          "actions": [],
          "id": 123,
          "name": "<string>"
        }
      ],
      "sqlQuery": "<string>",
      "title": "<string>",
      "version": 123,
      "workbookId": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Path Parameters

deploymentId
number
required

Query Parameters

workbookId
integer | null
limit
integer | null
page
integer | null
sortBy
enum<string> | null
Available options:
createdAt,
updatedAt,
lastViewedAt
sortDirection
enum<string> | null
Available options:
ASC,
DESC

Response

200 - application/json
data
object[]
required